<!doctype html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, user-scalable=no, initial-scale=1.0, maximum-scale=1.0, minimum-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Document</title>
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/gh/hajdusp/raptor@v1.1.0/styles.min.css">
    <link href="https://fonts.googleapis.com/icon?family=Material+Icons" rel="stylesheet">
    <style>

        details summary {
            list-style-type: none;
            display: flex;
            align-items: center;
            justify-content: space-between;
            gap: 2rem;
            padding: 1rem;
            background-color: whitesmoke;
        }

        details summary::-webkit-details-marker {
            display:none;
        }

        details .material-icons {
            transform: rotate(0deg);
            transition: all 0.1s ease-in-out;
        }

        details[open] .material-icons {
            transform: rotate(90deg);
        }

        .details-content {
            padding: 1rem;
        }

    </style>
</head>
<body>
<div class="container">
    <details>
        <summary>
            <div>Summary</div><span class="material-icons">chevron_right</span>
        </summary>
        <p class="details-content">Lorem ipsum dolor sit amet, consectetur adipisicing elit. A assumenda delectus inventore laboriosam! Architecto, autem dicta dolorem excepturi expedita, inventore iste neque, nisi numquam perferendis quasi quisquam soluta sunt ut.</p>
    </details>
    <details>
        <summary>
            <div>Summary</div><span class="material-icons">chevron_right</span>
        </summary>
        <p class="details-content">Lorem ipsum dolor sit amet, consectetur adipisicing elit. A assumenda delectus inventore laboriosam! Architecto, autem dicta dolorem excepturi expedita, inventore iste neque, nisi numquam perferendis quasi quisquam soluta sunt ut.</p>
    </details>
</div>
</body>
</html>